Skip to content

Monitoring Status

GET
/api/v1/nodes/{node_id}/monitoring/monitoring_status/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/monitoring/monitoring_status/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \
--header 'Authorization: Bearer <API_TOKEN>'

Reports whether the monitoring agent on the load balancer’s underlying node is reachable. The node_id path parameter is the load balancer’s node_detail.node_id. data.is_zabbix_active indicates whether monitoring is currently active.

node_id
required
string

Path parameter node_id.

project_id
required
integer

Identifier of the project to scope the request to. Required integer project ID.

Example

<PROJECT_ID>
apikey
required
string

API key used to authenticate the request

Example

<API_KEY>
location
required
string

Location identifier used to filter monitoring status

Example

<LOCATION>

Successful response

Media typeapplication/json
object
code

HTTP status code indicating the monitoring result

integer
data
object
is_zabbix_active

Indicates if Zabbix monitoring is currently active

boolean
message

Human-readable status message describing the monitoring connection

string
errors
object
message

Status message indicating the result of the monitoring operation

string

Example

{
"code": 200,
"data": {
"is_zabbix_active": true,
"message": "Connection with agent is successfull"
},
"message": "Success"
}